Show / Hide Table of Contents

# Class SwapChainVtableResolver

This class attempts to determine the D3D11 SwapChain vtable addresses via instantiating a new form and inspecting it.

##### Inheritance

System.Object
Dalamud.Game.BaseAddressResolver
SwapChainVtableResolver

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Internal.DXGI

###### Assembly: Dalamud.dll

##### Syntax

    public class SwapChainVtableResolver : BaseAddressResolver, ISwapChainAddressResolver

##### Remarks

If the normal signature based method of resolution fails, this is the backup.

### Properties

| Improve this Doc View Source

#### Present

##### Declaration

    public IntPtr Present { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### ResizeBuffers

##### Declaration

    public IntPtr ResizeBuffers { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

##### Declaration

    protected override void Setup64Bit(SigScanner sig)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | sig |

##### Overrides

Dalamud.Game.BaseAddressResolver.Setup64Bit(Dalamud.Game.SigScanner)